Apache JMeter

## org.apache.jmeter.engine
Class StandardJMeterEngine

    java.lang.Object
      org.apache.jmeter.engine.StandardJMeterEngine

All Implemented Interfaces:
  Runnable, JMeterEngine, JMeterThreadMonitor

    public class StandardJMeterEngine

extends Object
implements JMeterEngine, JMeterThreadMonitor, Runnable

Constructor Summary
`StandardJMeterEngine()`
`StandardJMeterEngine(String host)`

Method Summary
`void` `askThreadsToStop()`
`void` `configure(HashTree testTree)`
`void` `exit()`
`static void` `register(TestListener tl)`
`void` `reset()`
`void` `run()`
`void` `runTest()`
`void` `setProperties(Properties p)`
`static void` `stopEngine()`
`static void` `stopEngineNow()`
`void` `stopTest()`
`void` `stopTest(boolean b)`
`static boolean` `stopThread(String threadName)`
`static boolean` `stopThreadNow(String threadName)`
`void` `threadFinished(JMeterThread thread)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardJMeterEngine

    public StandardJMeterEngine()

### StandardJMeterEngine

    public StandardJMeterEngine(String host)

Method Detail

### stopEngineNow

    public static void stopEngineNow()

### stopEngine

    public static void stopEngine()

### register

    public static void register(TestListener tl)

### stopThread

    public static boolean stopThread(String threadName)

### stopThreadNow

    public static boolean stopThreadNow(String threadName)

### configure

    public void configure(HashTree testTree)

  Specified by:
    `configure` in interface `JMeterEngine`

### runTest

    public void runTest()
                 throws JMeterEngineException

  Specified by:
    `runTest` in interface `JMeterEngine`
  Throws:
    `JMeterEngineException`

### reset

    public void reset()

  Specified by:
    `reset` in interface `JMeterEngine`

### threadFinished

    public void threadFinished(JMeterThread thread)

  Specified by:
    `threadFinished` in interface `JMeterThreadMonitor`

### stopTest

    public void stopTest()

  Specified by:
    `stopTest` in interface `JMeterEngine`

### stopTest

    public void stopTest(boolean b)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### askThreadsToStop

    public void askThreadsToStop()

### exit

    public void exit()

  Specified by:
    `exit` in interface `JMeterEngine`

### setProperties

    public void setProperties(Properties p)

  Specified by:
    `setProperties` in interface `JMeterEngine`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.